NOTBDD(3)

NAME
notBdd - complements a BDD

SYNOPSYS
#include "logmmm.h"
pNode notBdd(pBdd)
pNode pBdd;

PARAMETER

pBdd
    BDD to complement

DESCRIPTION
notBdd() applies NOT operator to pBdd.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
pNode nodeA;
initializeBdd(SMALL_BDD);
nodeA = createNodeTermBdd(3);
displayBdd(notBdd(nodeA),1);
/* it will display
@nodeA   INDEX = 2   LOW = ONE   HIGH = ZERO
*/

destroyBdd(1);

SEE ALSO
log(1), bdd(1), applyBinBdd(3), applyBdd(3), constraintBdd(3), composeBdd(3), addListBdd(3), displayBdd(3), createNodeTermBdd(3).